using System;
using System.Configuration;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;
using System.Data.SqlClient;
public partial class _Default : System.Web.UI.Page 
{
    protected void Page_Load(object sender, EventArgs e)
    {
        FormView1.AllowPaging = true;
        if (!IsPostBack)
        {   DataSet ds = GetData();
            if (ds.Tables.Count > 0)
            {
               FormView1.DataSource = ds;
               FormView1.DataBind();               
            }
            else
            {
                Response.Write("<script>alert('没有可显示的记录！')</script>");}
        }
    }
    public static DataSet GetData()
    {
        string strcon = "Data Source=.;Initial Catalog=Blog;Integrated Security=True";
        SqlConnection con = new SqlConnection(strcon);
        con.Open();
        string sqlstr = "select AdminID,AdminName,sex,department from [Admins]";
        SqlDataAdapter sda = new SqlDataAdapter(sqlstr, con);
        DataSet ds1 = new DataSet();
        sda.Fill(ds1);
        con.Close();
        return ds1;
    }
    protected void FormView1_PageIndexChanging(object sender, FormViewPageEventArgs e)
    {
        FormView1.PageIndex = e.NewPageIndex;
        DataSet ds = GetData();
        if (ds.Tables.Count > 0)
        {   FormView1.DataSource = ds;
            FormView1.DataBind();
        }
        else
        {
            Response.Write("<script>alert('没有可显示的记录！')</script>");}
    }
}
